메인 콘텐츠로 건너뛰기
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
authorizations
계정 권한 부여 생성
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/authorizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subject_id": "<string>",
  "capability_key": "<string>",
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "grant_kind": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject_id": "<string>",
  "subject_type": "<string>",
  "capability_key": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "resource_type": "<string>",
  "revoked_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

경로 매개변수

account_id
string<uuid>
필수

본문

application/json

새 기능 기반 권한을 부여하기 위한 스키마입니다.

grant_kind
enum<string>
필수

부여 종류

사용 가능한 옵션:
capability,
account_owner,
super_admin
subject_id
string
필수

사용자 또는 그룹 식별자

Minimum string length: 1
subject_type
enum<string>
필수

주체 유형: 사용자 또는 그룹

사용 가능한 옵션:
user,
group,
service_account
capability_key
string | null

기능 부여에 사용할 기능 키

resource_id
string<uuid> | null

범위가 지정된 리소스 식별자

resource_type
enum<string> | null

범위가 지정된 리소스 유형

사용 가능한 옵션:
client,
account,
workspace,
domain,
dns_record,
mailbox,
redirect,
forwarding,
credential,
tenant,
route,
proxy

응답

grant_kind
string
필수
id
string<uuid>
필수
subject_id
string
필수
subject_type
string
필수
capability_key
string | null
created_at
string<date-time> | null
resource_id
string<uuid> | null
resource_type
string | null
revoked_at
string<date-time> | null